# DataExchange
TKSTEP
StepAP214

# StepAP214_OrganizationItem Class Reference

`#include <StepAP214_OrganizationItem.hxx>`

Inheritance diagram for StepAP214_OrganizationItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_OrganizationItem ()
| Returns a OrganizationItem SelectType .
virtual Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a OrganizationItem Kind Entity that is : .
Standard_EXPORT Handle_StepAP214_AppliedOrganizationAssignment | AppliedOrganizationAssignment () const
| returns Value as a AppliedOrganizationAssignment (Null if another type)
Standard_EXPORT Handle_StepBasic_Approval | Approval () const
| returns Value as a Approval (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_OrganizationItem::StepAP214_OrganizationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepAP214_AppliedOrganizationAssignment StepAP214_OrganizationItem::AppliedOrganizationAssignment | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Approval StepAP214_OrganizationItem::Approval | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepAP214_OrganizationItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Reimplemented from StepAP214_ApprovalItem.

void StepAP214_OrganizationItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepAP214_ApprovalItem.

void* StepAP214_OrganizationItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepAP214_ApprovalItem.

void* StepAP214_OrganizationItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepAP214_ApprovalItem.

The documentation for this class was generated from the following file:

- StepAP214_OrganizationItem.hxx